// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  // Change recipes here
  // Recipe Removal
  event.remove({id: 'botania:laputa_shard'})
  event.remove({id: 'farmersdelight:wheat_dough'})
  event.remove({id: 'pneumaticraft:security_desk'})
  event.remove({id: 'industrialforegoing:dissolution_chamber/infinity_backpack'})
  event.remove({id: 'cobblefordays:tier_1'})
  event.remove({id: 'cobblefordays:tier_2'})
  event.remove({id: 'cobblefordays:tier_3'})
  event.remove({id: 'cobblefordays:tier_4'})
  event.remove({id: 'cobblefordays:tier_5'})
  event.remove({id: 'mekanism:module_attack_amplification_unit'})
  event.remove({id: 'mekanism:module_inhalation_purification_unit'})
  event.remove({id: 'mekanism:module_base'})
  event.remove({id: 'mekanism:module_magnetic_attraction_unit'})
  event.remove({id: 'mekanism:module_radiation_shielding_unit'})
  event.remove({id: 'mekanism:module_silk_touch_unit'})
  event.remove({id: 'mekanism:module_energy_unit'})
  event.remove({id: 'mekanism:module_charge_distribution_unit'})
  event.remove({id: 'mekanism:module_dosimeter_unit'})
  event.remove({id: 'mekanism:module_excavation_escalation_unit'})
  event.remove({id: 'mekanism:module_electrolytic_breathing_unit'})
  event.remove({id: 'mekanism:module_gravitational_modulating_unit'})
  event.remove({id: 'mekanism:module_vein_mining_unit'})
  event.remove({id: 'mekanism:module_farming_unit'})
  event.remove({id: 'mekanism:module_teleportation_unit'})
  event.remove({id: 'mekanism:module_locomotive_boosting_unit'})
  event.remove({id: 'mekanism:module_hydraulic_propulsion_unit'})
  event.remove({id: 'mekanism:module_solar_recharging_unit'})
  event.remove({id: 'mekanism:module_vision_enhancement_unit'})
  event.remove({id: 'mekanism:module_jetpack_unit'})
  event.remove({id: 'mekanism:module_nutritional_injection_unit'})
  event.remove({id: 'mekanism:mekasuit_helmet'})
  event.remove({id: 'mekanism:mekasuit_bodyarmor'})
  event.remove({id: 'mekanism:mekasuit_pants'})
  event.remove({id: 'mekanism:mekasuit_boots'})
  event.remove({id: 'mekanism:meka_tool'})
  event.remove({id: 'mekanism:sps_casing'})
  event.remove({id: 'mekanism:sps_port'})
  event.remove({id: 'mekanism:supercharged_coil'})
  event.remove({id: 'mekanism:antiprotonic_nucleosynthesizer'})
  event.remove({id: 'mekanism:modification_station'})
  event.remove({id: 'mekanism:upgrade/anchor'})
  //Crafting Recipes!
  event.shaped(item.of('minecraft:cake'), [
    'MMM',
    'SES',
    ' D '
  ], {
    S: 'minecraft:sugar',
    M: '#forge:milk',
    E: 'minecraft:egg',
    D: '#forge:dusts/flour'
  })
  event.shaped(item.of('biomesoplenty:orange_sandstone', 8), [
      'SSS',
      'SDS',
      'SSS'
    ], {
      S: 'minecraft:sandstone',
      D: '#forge:dyes/orange'
  })
  event.shaped(item.of('biomesoplenty:white_sandstone', 8), [
      'SSS',
      'SDS',
      'SSS'
    ], {
      S: 'minecraft:sandstone',
      D: '#forge:dyes/white'
  })
  event.shaped(item.of('biomesoplenty:black_sandstone', 8), [
      'SSS',
      'SDS',
      'SSS'
    ], {
      S: 'minecraft:sandstone',
      D: '#forge:dyes/black'
  })
  event.shaped(item.of('minecraft:mushroom_stem', 4), [
      ' M ',
      'M M',
      ' M '
    ], {
      M: 'enhanced_mushrooms:red_mushroom_stem'
  })
  event.shaped(item.of('minecraft:mushroom_stem', 4), [
      ' M ',
      'M M',
      ' M '
    ], {
      M: 'enhanced_mushrooms:brown_mushroom_stem'
  })
  event.shaped(item.of('cobblefordays:tier_1'), [
    'RRR',
    'WNL',
    'RRR'
  ], {
    R: '#minecraft:logs',
    W: 'minecraft:water_bucket',
    L: 'minecraft:lava_bucket',
    N: 'minecraft:netherite_pickaxe'
  })
  event.shaped(item.of('cobblefordays:tier_2'), [
    'RRR',
    'WNL',
    'RRR'
  ], {
    R: 'minecraft:cobblestone',
    W: 'minecraft:water_bucket',
    L: 'minecraft:lava_bucket',
    N: 'cobblefordays:tier_1'
  })
  event.shaped(item.of('cobblefordays:tier_3'), [
      'RRR',
      'WNL',
      'RRR'
    ], {
      R: 'minecraft:iron_ingot',
      W: 'minecraft:water_bucket',
      L: 'minecraft:lava_bucket',
      N: 'cobblefordays:tier_2'
  })
  event.shaped(item.of('cobblefordays:tier_4'), [
      'RRR',
      'WNL',
      'RRR'
    ], {
      R: 'minecraft:gold_ingot',
      W: 'minecraft:water_bucket',
      L: 'minecraft:lava_bucket',
      N: 'cobblefordays:tier_3'
    })
  event.shaped(item.of('cobblefordays:tier_5'), [
      'RRR',
      'WNL',
      'RRR'
    ], {
      R: 'minecraft:diamond',
      W: 'minecraft:water_bucket',
      L: 'minecraft:lava_bucket',
      N: 'cobblefordays:tier_4'
  })
})

onEvent('item.tags', event => {
  // Get the #forge:cobblestone tag collection and add Diamond Ore to it
  // event.get('forge:cobblestone').add('minecraft:diamond_ore')
  event.get('forge:flour').add('create:wheat_flour')
  event.get('forge:dusts/flour').add('create:wheat_flour')
  event.get('forge:dough').add('create:dough')
  event.get('forge:dough/dough').add('create:dough')
  event.get('forge:flour').add('pneumaticcraft:wheat_flour')
  event.get('forge:rawfish').add('farmersdelight:salmon_slice')
  event.get('forge:rawmeats').add('farmersdelight:salmon_slice')
  event.get('forge:stock_ingredients').add('farmersdelight:salmon_slice')
  event.get('forge:rawfish').add('farmersdelight:cod_slice')
  event.get('forge:rawmeats').add('farmersdelight:cod_slice')
  event.get('forge:stock_ingredients').add('farmersdelight:cod_slice')
  event.get('forge:cookedrabbit').add('pamhc2foodextended:cookedtofabbititem')
  event.get('forge:cookedbeef').add('pamhc2foodextended:cookedtofeakitem')
  event.get('forge:cookedpork').add('pamhc2foodextended:cookedtofaconitem')
  event.get('forge:cookedchicken').add('pamhc2foodextended:cookedtofickenitem')
  event.get('forge:cookedfish').add('pamhc2foodextended:cookedtofishitem')
  event.get('forge:cookedmutton').add('pamhc2foodextended:cookedtofuttonitem')
})
  // Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
  // event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
  // Listen to block registry event

  //Block tags go here

onEvent('block.tags', event => {
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_container')
    event.get('mekanism:cardboard_blacklist').add('tetra:transfer_unit')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_crate')
    event.get('mekanism:cardboard_blacklist').add('tetra:core_extractor')
    event.get('mekanism:cardboard_blacklist').add('tetra:extractor_pipe')
    event.get('mekanism:cardboard_blacklist').add('tetra:transfer_unit')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_workbench')
    event.get('mekanism:cardboard_blacklist').add('tetra:hammer_base')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_wall')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_pillar')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_platform')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_platform_slab')
    event.get('mekanism:cardboard_blacklist').add('tetra:forged_vent')
})
